Skip to main content
PATCH
/
v1
/
shorts
/
{id}
/
status
Update short status (for Kanban drag-and-drop)
curl --request PATCH \
  --url https://api.yalg.ai/v1/shorts/{id}/status \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '{}'
{
  "status": "running",
  "currentStep": "rendering",
  "progress": 0.65,
  "message": "Generation is in progress",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

id
string
required

Resource identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

Body

application/json
status
enum<string>
required

The new status to set

Available options:
CREATED,
RUNNING,
READY_FOR_VALIDATION,
VALIDATED,
THUMBNAIL_CREATING,
THUMBNAIL_CREATED,
COMPLETED,
REJECTED,
FAILED
Example:

"VALIDATED"

Response

Short status updated

Status or progress payload for an asynchronous YALG workflow.

status
string
Example:

"running"

currentStep
string
Example:

"rendering"

progress
number
Example:

0.65

message
string
Example:

"Generation is in progress"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"